org.jfree.xml.generator.model

## Class MultiplexMappingInfo

- java.lang.Object
- - org.jfree.xml.generator.model.MultiplexMappingInfo

    public class MultiplexMappingInfo
    extends java.lang.Object

Defines the multiplex entries for a certain base class. Multiplexers are used to select a specific handler if more than one class will match the property type.

Multiplexers override automatic mappings and can be redefined using manual mappings.

### Constructor Summary

Constructors
Constructor and Description
`MultiplexMappingInfo(java.lang.Class baseClass)` Creates a new instance for the specified class.
`MultiplexMappingInfo(java.lang.Class baseClass, java.lang.String typeAttribute)` Creates a new instance for the specified class.

### Method Summary

Methods
`boolean` `equals(java.lang.Object o)` Tests this object for equality with another object.
`java.lang.Class` `getBaseClass()` Returns the base class.
`TypeInfo[]` `getChildClasses()` Returns the child classes.
`Comments` `getComments()` Returns the comments.
`java.lang.String` `getSource()` Returns the source.
`java.lang.String` `getTypeAttribute()` Returns the type attribute.
`int` `hashCode()` Returns a hash code for this object.
`void` `setChildClasses(TypeInfo[] childClasses)` Sets the child classes.
`void` `setComments(Comments comments)` Sets the comments.
`void` `setSource(java.lang.String source)` Sets the source.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultiplexMappingInfo

    public MultiplexMappingInfo(java.lang.Class baseClass)

Creates a new instance for the specified class.

Parameters:
  `baseClass` - the base class.

#### MultiplexMappingInfo

    public MultiplexMappingInfo(java.lang.Class baseClass,
                        java.lang.String typeAttribute)

Creates a new instance for the specified class.

Parameters:
  `baseClass` - the base class (`null` not permitted).
  `typeAttribute` - the type attribute (`null` not permitted).

### Method Detail

#### getBaseClass

    public java.lang.Class getBaseClass()

Returns the base class.

Returns:
  The base class.

#### getTypeAttribute

    public java.lang.String getTypeAttribute()

Returns the type attribute.

Returns:
  The type attribute.

#### getChildClasses

    public TypeInfo[] getChildClasses()

Returns the child classes.

Returns:
  The child classes.

#### setChildClasses

    public void setChildClasses(TypeInfo[] childClasses)

Sets the child classes.

Parameters:
  `childClasses` - the child classes.

#### getComments

    public Comments getComments()

Returns the comments.

Returns:
  The comments.

#### setComments

    public void setComments(Comments comments)

Sets the comments.

Parameters:
  `comments` - the comments.

#### getSource

    public java.lang.String getSource()

Returns the source.

Returns:
  The source.

#### setSource

    public void setSource(java.lang.String source)

Sets the source.

Parameters:
  `source` - the source.

#### equals

    public boolean equals(java.lang.Object o)

Tests this object for equality with another object.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `o` - the other object.
Returns:
  A boolean.

#### hashCode

    public int hashCode()

Returns a hash code for this object.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  A hash code.